Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
PostGIS Installation Notes
To create a spatially-enabled database, see the documentation:
https://postgis.net/docs/manual-2.2/postgis_installation.html#create_new_db_extensions
If you are currently using PostGIS 2.0+, you can go the soft upgrade path:
ALTER EXTENSION postgis UPDATE TO "2.3.2";
Users of 1.5 and below will need to go the hard-upgrade path, see here:
https://postgis.net/docs/manual-2.2/postgis_installation.html#upgrading
PostGIS SQL scripts installed to:
/usr/local/opt/postgis/share/postgis
PostGIS plugin libraries installed to:
/usr/local/lib
PostGIS extension modules installed to:
/usr/local/share/postgresql/extension
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment